<?php
date_default_timezone_set('America/Lima');
class cLogin{	
	//mostrar		
	function acceso($use, $pas){
		if(preg_match("/^[0-9a-zA-Z@.]+$/",$use))
		{
			$use=$use;
		}
		else
		{
			$use="?invalido?";
		}
		$sql="SELECT * FROM tb_usuario WHERE tb_usuario_use='$use' AND tb_usuario_pas=MD5('$pas');";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function modificarUltimaVisita($id){
		$now =  date('Y-m-d h:i:s a');	
		$sql="UPDATE tb_usuario SET
		`tb_usuario_ultvis` =  '$now' 
		WHERE tb_usuario_id=$id;";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;		  
	}
	
	function mostrarUno($id){
		$sql="SELECT * 
		FROM  tb_usuario u
		INNER JOIN tb_usuariogrupo ug ON u.tb_usuariogrupo_id = ug.tb_usuariogrupo_id
        inner join tb_puntoventa pv on pv.tb_puntoventa_id = u.tb_puntoventa_id
		INNER JOIN tb_empresa e ON pv.tb_empresa_id=e.tb_empresa_id
		WHERE tb_usuario_id = '$id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;		  
	}
	function obtener_nombre(){
		$sql="select concat(tb_empresa_razsoc,' | ',tb_empresa_dir) as nomb_empresa from tb_empresa limit 1";
	//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;			  
	}
}
?>